# calculateDiff

fun < T > Iterable < T >. calculateDiff (other: Iterable < T >, comparisonFun: ( T ?, T ?) -> Boolean ): Diff < T >(source)
fun < T > Iterable < T >. calculateDiff (other: Iterable < T >, strictComparison: Boolean = false): Diff < T >(source)

Calculating Diff object

#### Parameters

strictComparison

If this parameter set to true, objects which are not equal by links will be used as different objects. For example, in case of two "Example" string they will be equal by value, but CAN be different by links